Bug 205269 (perl-Sub-Exporter) - Review Request: perl-Sub-Exporter - Sophisticated exporter for custom-built routines
Summary: Review Request: perl-Sub-Exporter - Sophisticated exporter for custom-built r...
Status: CLOSED NEXTRELEASE
Alias: perl-Sub-Exporter
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Package Reviews List
URL: http://search.cpan.org/dist/Sub-Expor...
Whiteboard:
Keywords:
Depends On: perl-Sub-Install 205249 205267
Blocks: FE-ACCEPT perl-Moose
TreeView+ depends on / blocked
 
Reported: 2006-09-05 17:49 UTC by Chris Weyl
Modified: 2011-03-01 00:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 23:19:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2006-09-05 17:49:01 UTC
SRPM URL: http://home.comcast.net/~ckweyl/perl-Sub-Exporter-0.970-1.fc5.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-Sub-Exporter.spec

Description:
Sub::Exporter provides a sophisticated alternative to Exporter.pm. It allows
for renaming, currying/sub-generation, and other cool stuff.

ACHTUNG! If you're not familiar with Exporter or exporting, read
Sub::Exporter::Tutorial first!

Comment 1 Patrice Dumas 2006-09-07 22:27:37 UTC
* rpmlint is silent
* package named according to guidelines
* free software, without licence files included
* meets packaging guidelines
* spec legible
* source match upstream
10eaa77a13de4c23640cdd1aaf0f2412  Sub-Exporter-0.970.tar.gz
* sane provides
Provides: perl(Sub::Exporter) = 0.970 perl(Sub::Exporter::Util) = 0.020
* %files right

APPROVED

Comment 2 Chris Weyl 2006-09-07 23:19:50 UTC
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+Request branching (FC-5)
+Close bug


Comment 3 Fedora Update System 2011-01-27 19:03:17 UTC
perl-Package-Generator-0.100-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Package-Generator-0.100-2.el4

Comment 4 Paul Howarth 2011-01-28 09:30:19 UTC
Package Change Request
======================
Package Name: perl-Sub-Exporter
New Branches: el4
Owners: pghmcfc rmyers

I'd like an EPEL-4 branch for perl-Sub-Exporter please. The Fedora maintainer
(cweyl) isn't interested in EPEL, and the EPEL-5 maintainer (rmyers) doesn't
seem to have been active in Fedora for a few months and hasn't responded to a
private email sent on the 5th January. Nevertheless, I'd added him as
co-maintainer and he's welcome to the package if at a later date he wants it.

Comment 5 Dennis Gilmore 2011-01-30 23:57:19 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-02-13 09:23:27 UTC
perl-Sub-Exporter-0.975-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Sub-Exporter-0.975-1.el4

Comment 7 Fedora Update System 2011-03-01 00:01:31 UTC
perl-Sub-Exporter-0.975-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.